Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IEGLImageBuffer Class Reference
EGLImageBuffer

Interface that provides methods to EGLImage Buffers. More...

`#include <EGLImage.h>`

Inheritance diagram for Argus::IEGLImageBuffer:

List of all members.

## Public Member Functions
virtual EGLDisplay | getEGLDisplay () const =0
| Returns the EGLDisplay that owns the EGLImage.
virtual EGLImageKHR | getEGLImage () const =0
| Returns the EGLImage being used for this Buffer.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IEGLImageBuffer ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface that provides methods to EGLImage Buffers.

Definition at line 108 of file EGLImage.h.

## Constructor & Destructor Documentation

Argus::IEGLImageBuffer::~IEGLImageBuffer | ( |  | ) |
| inline protected

Definition at line 124 of file EGLImage.h.

## Member Function Documentation

virtual EGLDisplay Argus::IEGLImageBuffer::getEGLDisplay | ( |  | ) | const
| pure virtual

Returns the EGLDisplay that owns the EGLImage.

virtual EGLImageKHR Argus::IEGLImageBuffer::getEGLImage | ( |  | ) | const
| pure virtual

Returns the EGLImage being used for this Buffer.

static const InterfaceID& Argus::IEGLImageBuffer::id | ( |  | ) |
| inline static

Definition at line 111 of file EGLImage.h.

The documentation for this class was generated from the following file:

- include/Argus/EGLImage.h